import {
  geoNaturalEarth1,
  geoPath,
  geoGraticule,
} from 'd3';

const projection = geoNaturalEarth1();
const path = geoPath(projection);
const graticule = geoGraticule();

export const Marks = ({
  worldAtlas: { countries, interiors },
  rowByCountry,
  colorScale,
  colorValue,
}) => (
  <g className="marks">
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path className="graticules" d={path(graticule())} />
    {countries.features.map((feature) => {
      const d = rowByCountry.get(feature.properties.name);
      return (
        <path
          d={path(feature)}
          fill={d ? colorScale(colorValue(d)) : 'red'}
        />
      );
    })}
    <path className="interiors" d={path(interiors)} />
  </g>
);
